We are transitioning over to a new forum platform. Please post new issues there. Existing threads will be dealt with here unless you choose to move them over. Visit the new forum

Forum

Thread tagged as: Question

PHP Mailer Vulnerability and Perch Update

Do we need to update all Perch installs, or just those that use the Forms app at this time?

Asking because: to backup database and files, then upload core, then test site is a lot of work for all 35 licences of Perch.

Just wondering if it's only those with 'Forms' installed that are vulnerable?

Many thanks.

Simon Clay

Simon Clay 127 points

  • 2 years ago
Rachel Andrew

Rachel Andrew 394 points
Perch Support

No, it's all sites. This should be taken as a "cost of ownership" of using any third party code. You/your client get thousands of hours of development time for 50 quid. The flipside is you have to budget time for updates. Sorry about that but if you were running WordPress you'd be doing this a magnitude of times more frequently.

Simon Clay

Simon Clay 127 points

Thanks Rachel, agreed and understood.

It wasn't a complaint. I just needed to work out priorities.

Many thanks.

Hi Simon,

Quite useful, the latest update(s) have made the Perch CMS pages fully responsive, which is a very nice touch and adds productivity when testing styles and changing content in Perch with browser tabs.

Best,